
				******************************
				* ROCKET DATA ANALYSIS *
				******************************
		
		*---------------------
		*-> 0. Set Directories
		*---------------------
	*->install ztree2stata command
		
		cd "/Users/ludong/Desktop/Data"
		set more off
		
		*--------------------
		*-> 1.1 DATA CLEANNING
		*--------------------
		*-1.1 From ztree to stata
			clear	
			local filenames 171113_1047 171120_1046 171124_1053 180228_1049 ///
				180228_1249 180228_1418 180228_1547 180306_1052 180306_1255 ///
				180306_1422 180420_1454 180427_1017 180427_1452
			
			*-------------------------
			foreach file in `filenames'{
				cd "/Users/ludong/Desktop/Data/zTreeOutput"
				ztree2stata subjects using `file'.xls, clear
				gen mfix = 1
				cd "/Users/ludong/Desktop/Data/dtaFile"
				save `file', replace 
			}
			*----------------------------
			
			clear
			append using `filenames'
			

			
			
		*- Missed Period
			preserve
			keep if session == "180228_1049" & Period == 12
			replace Period = 13 if Period == 12
			replace invest = 0 if invest == 1
			save p13.dta, replace
			restore
			append using p13.dta
			erase p13.dta
		*-1.2 Rename and Re-Modify
			cap drop qz*
			
				//drop quiz questions
				//drop system generated variables
				
			cap drop tables treatment Participate 
			cap drop Time*  
			cap drop RandomNumber RandomOrder
			cap drop spin step angle counter speed ///
				show probability randnum num_steps mfix
			cap drop escaDeactivate deactivatePre beDeactivated*
			cap drop deactivateSoFar totalLotterySoFar 
			
			*-> treatment
			
			gen treatment = "pilot" if session == "171113_1047" // players get a button whenever they have more tokens
			replace treatment = "base" if session == "171120_1046"|session == "180228_1249" | session == "180306_1255" 
			replace treatment = "hidden" if session == "171124_1053"| session == "180228_1418"| session == "180306_1422"
			replace treatment = "half" if session == "180228_1049" | session == "180228_1547"| session == "180306_1052"
			replace treatment = "tradeHalf" if session == "180420_1454" | session == "180427_1017" | session == "180427_1452"
			
			drop if treatment == "pilot"
			*-> rename
				
				rename Period period
				rename Profit profit
				rename Group group
				rename deactivate bombed1
				rename investmentSurvey sv_invest
				rename deactivationSurvey sv_strike
				rename advice sv_advice
				rename confusing sv_confusing
				rename lottery lotteryA
				
				
				
				
			*-> modify variables
				egen pid = group(session Subject)
				rename group group1
				egen group = group(treatment session group1)
				gen bombed = (deactivateTryOther == 1)
				gen bomber = (deactivateTry == 1)
				gen playerx = (Type == 0) if treatment == "half"| treatment == "tradeHalf"
				
				
			*-> total investment
				gen temp1 = escalate if period == 13
				bys pid: egen sumInvest = max(temp1) // number of tokens invested during the whole experiment
				bys pid: gen noInvest = (sumInvest == 0)
				gen curInvest = totalInvestSoFar
				replace curInvest = totalInvestSoFar + 0.5 if treatment == "half" & playerx == 1
			
				
			*-> Peaceful vs. Conflict Group
				bys group: egen var1 = total(bombed1) if period == 13 & session != "180228_1049"
				bys group: egen var2 = total(bombed1) if period == 12 & session == "180228_1049"
				replace var1 = var2 if period == 12 & session == "180228_1049"
				gen p1 = (var1 == 0 & period == 13)
				replace p1 = 1 if var1 == 0 & period == 12 & session == "180228_1049"
				bys pid: egen peace = max(p1)
				
				bys group: egen var3 = total(bombed) if period == 1
				gen peaceR1 = (var1 == 0) if period == 1
				
				
			*-> type variables	
				sort period group pid 
				bys period group: gen type = 1 if _n == 1
				replace type = 2 if type == .
				
			*-> age and male	
				rename age a1
				bys pid: egen age = max(a1)
				rename male m1
				bys pid: egen male = max(m1)
				rename faculty f1
				bys pid: egen faculty = max(f1)
				
				cap drop a1 m1 p1
				
			sort treatment group pid period

			*keep treatment group Subject deal period pid type playerx escalate sumInvest ///
				* bomber bombed1 bombed peace curInvest noInvest lotteryA win age male faculty sv*
			
			
			
			save "/Users/ludong/Desktop/Data/data.dta", replace

			
			// escalate: cumulative number of tokens invested
			// sumInvest: total number of tokens invested.
			// bomber: whether the player press the "deactivate" button in that round
			// bombed: equals 1 for the round of deactivation
			// bombed1: equals 1 for the round of deactivation and thereafter
			// peace: no one has been bombed in the group

			
