
		

		***********
		* Figure 2 
		***********
		
	*-> Bombing Rate
			use "/Users/ludong/Desktop/Data/data.dta", clear
			gen count = 1
			collapse (count) count, by (treatment peace)
			bys treatment: egen a1 = total(count)
			gen freq = count/a1
			br treatment peace freq
			
		*-> When does bombing occurs
			clear
			set obs 12
			gen treatment = "dum"
			egen period = fill (1 2)
			save X.dta, replace
			
			use "/Users/ludong/Desktop/Data/data.dta", clear
			keep if bombed == 1
			br treatment group period bombed  
			sort treatment period
			gen count = 1
			collapse (count) count, by (treatment period)
			bys treatment: egen a1 = total(count)
			gen freq = count/a1
			br treatment period count a1 freq
			append using X.dta
			
			fillin treatment period 
			drop if treatment == "dum"
			bys treatment: gen x = sum(count)
			
			gen a2 = 29 if treatment == "base" | treatment == "hidden"
			replace a2 = 30 if treatment == "half"
			replace a2 = 26 if treatment == "tradeHalf"
			gen x1 = x/a2

			
			twoway (line x1 period if treatment == "base", lcolor(gs10) lpattern(solid) lwidth(thick) ) ///
					(line x1 period if treatment == "hidden", lcolor(gs10) lpattern(shortdash) lwidth(thick)) ///
					(line x1 period if treatment == "half", lcolor(black) lpattern(longdash_dot_dot) lwidth(thick)) ///
					(line x1 period if treatment == "tradeHalf", lcolor(gs10) lpattern(longdash) lwidth(thick)) ///
					, caption("") ///
					xtitle("Round",size(large)) ytitle("Deactivation Rate",size(large))  ///
					xlabel(1(1)13) ylabel(0(0.1)1, angle(0)) ///
					plotregion(lstyle(none)) ///
					legend(lab(1 "Base") lab(2 "Hidden") lab(3 "Asymmetry") lab(4 "Trade") ///
					size(Med-large) row(1) ///
					region(lcolor(none) fcolor(none)))		
			

		*************
		* Figure 3.a 
		*************
		
		
		use "/Users/ludong/Desktop/Data/data.dta", clear
		br treatment invest period
		gen count = 1
		collapse (count) count, by(treatment period invest)
		drop if period == 13
		drop if invest == 0
		gen freq = count/58 if treatment == "base"| treatment == "hidden"
		replace freq = count/60 if treatment == "half"
		replace freq = count/52 if treatment == "tradeHalf"
		
		gen x = period - 1
		replace x = 5*x + 1 if treatment == "base"
		replace x = 5*x + 2 if treatment == "hidden"
		replace x = 5*x + 3 if treatment == "half"
		replace x = 5*x + 4 if treatment == "tradeHalf"
		
		twoway (bar freq x if treatment == "base", bcolor(black)) ///
				(bar freq x if treatment == "hidden", bcolor(white)) ///
				(bar freq x if treatment == "half", bcolor(eltblue)) ///
				(bar freq x if treatment == "tradeHalf", bcolor(gray)), ///
				legend(region(lstyle(none))) ///
				aspectratio(0.4)	///
				ytitle("Average Rocket Investment") ///
				xtitle("Round") ///
				xlabel(2.5 "1" 7.5 "2" 12.5 "3" 17.5 "4" 22.5 "5" 27.5 "6" ///
				32.5 "7" 37.5 "8" 42.5 "9" 47.5 "10" 52.5 "11" 57.5 "12",noticks) ///
				ylabel(0(0.1)1, ang(0)) xsize(1) ysize(1) ///
				xtick() name(g2, replace) ///
				legend(label(1 "Base") label(2 "Hidden") label(3 "Asymmetry") label(4 "Trade") ///
				size(medsmall) row(1)) 

		// In stata editor, manually add black outline for Hidden treatment.
		// Adjust margins of the label on y-axis
		*************
		* Figure 3.b 
		*************		
		
		use "/Users/ludong/Desktop/Data/data.dta", clear
		br treatment invest period bombed peace
		keep if peace == 1
		gen count = 1
		collapse (count) count, by(treatment period)
		
		
		use "/Users/ludong/Desktop/Data/data.dta", clear
		br treatment invest period bombed peace
		keep if peace == 1
		gen count = 1
		collapse (count) count, by(treatment period invest)
		drop if period == 13
		drop if invest == 0
		gen freq = count/32 if treatment == "base"
		replace freq = count/52 if treatment == "hidden"
		replace freq = count/18 if treatment == "half"
		replace freq = count/38 if treatment == "tradeHalf"
		
		gen x = period - 1
		replace x = 5*x + 1 if treatment == "base"
		replace x = 5*x + 2 if treatment == "hidden"
		replace x = 5*x + 3 if treatment == "half"
		replace x = 5*x + 4 if treatment == "tradeHalf"
		
		twoway (bar freq x if treatment == "base", bcolor(black)) ///
				(bar freq x if treatment == "hidden", bcolor(white)) ///
				(bar freq x if treatment == "half", bcolor(eltblue)) ///
				(bar freq x if treatment == "tradeHalf", bcolor(gray)), ///
				legend(region(lstyle(none))) ///
				aspectratio(0.4)	///
				ytitle("Average Rocket Investment") ///
				xtitle("Round") ///
				xlabel(2.5 "1" 7.5 "2" 12.5 "3" 17.5 "4" 22.5 "5" 27.5 "6" ///
				32.5 "7" 37.5 "8" 42.5 "9" 47.5 "10" 52.5 "11" 57.5 "12",noticks) ///
				ylabel(0(0.1)1, ang(0)) xsize(1) ysize(1) ///
				xtick() name(g2, replace) ///
				legend(label(1 "Base") label(2 "Hidden") label(3 "Asymmetry") label(4 "Trade") ///
				size(medsmall) row(1)) 		

		// In stata editor, manually add black outline for Hidden treatment.
		// Adjust margins of the label on y-axis	
		**********
		* Figure 4 
		**********
		
		use "/Users/ludong/Desktop/Data/data.dta", clear
		keep if period == 13
		br treatment escalate period playerx
		replace escalate = escalate - 0.5 if playerx == 1
		gen count = 1
		collapse (count) count, by(treatment escalate)
		fillin escalate treatment
		replace count = 0 if count == .
		drop _fillin
		replace treatment = "ihalf" if treatment == "half"
		sort treatment escalate
		gen freq = count/58 if treatment == "base"| treatment == "hidden"
		replace freq = count/60 if treatment == "ihalf"
		replace freq = count/52 if treatment == "tradeHalf"
		
		
		twoway bar freq escalate, by(treatment) ///
		aspectratio(0.5)	///
		legend(region(lstyle(none))) ///
		plotregion(lstyle(none)) ///
		ytitle("Frequency",size(medium)) ///
		xtitle("Number of Rockets", size(medium)) ///
		ylabel(0(0.1)0.5, ang(0)) ///
		xlabel(0(2)12) ///
		xtick()
		
		// manually change the label of the treatment names on stata graph editor: 
		// base and hidden remains the same.
		// ihalf indicates Asymmetry treatment
		// tradeHalf indicates Trade treatment
		
		**********
		* Figure 5 
		**********		
		
		clear
		set obs 12
		gen treatment = "dum"
		egen period = fill (1 2)
		save X.dta, replace
			
		use "/Users/ludong/Desktop/Data/data.dta", clear
		keep if bombed == 1
		br treatment group period bombed  
		sort treatment period
		gen count = 1
		collapse (count) count, by (treatment period)
		append using X.dta
			
		fillin treatment period 
		drop if treatment == "dum"
			
		gen x = period - 1
		replace x = 5*x + 1 if treatment == "base"
		replace x = 5*x + 2 if treatment == "hidden"
		replace x = 5*x + 3 if treatment == "half"
		replace x = 5*x + 4 if treatment == "tradeHalf"
			
		twoway (bar count x if treatment == "base", bcolor(black)) ///
				(bar count x if treatment == "hidden", bcolor(white)) ///
				(bar count x if treatment == "half", bcolor(eltblue)) ///
				(bar count x if treatment == "tradeHalf", bcolor(gray)), ///
				legend(region(lstyle(none))) ///
				aspectratio(0.4) ///
				ytitle("Number of Deactivation") ///
				xtitle("Round") ///
				xlabel(2.5 "1" 7.5 "2" 12.5 "3" 17.5 "4" 22.5 "5" 27.5 "6" ///
				32.5 "7" 37.5 "8" 42.5 "9" 47.5 "10" 52.5 "11" 57.5 "12" 62.5 "13",noticks) ///
				ylabel(0(1)10, ang(90)) xsize(1) ysize(1) ///
				xtick() name(g2, replace) ///
				legend(label(1 "Base") label(2 "Hidden") label(3 "Asymmetry") label(4 "Trade") ///
				size(medsmall) row(1)) 
				
		// In stata editor, manually add black outline for Hidden treatment.
		// Adjust margins of the label on y-axis

		
		**********
		** TABLE 2
		**********

		
		use "/Users/ludong/Desktop/Data/data.dta", clear
		keep if treatment == "tradeHalf"
		xtset pid period
		
		*gen lotterymoney = bargainPosition-bargainBonus
		
		gen diffE = escalate - escalateA
		
		xtreg bargainPosition lotterymoney playerx age male i.faculty i.period if period<13 &deal==1, cluster(group)
			est store a1
		xtreg bargainPosition lotterymoney playerx if period<13 & deal==1, cluster(group)
			est store a2
		xtreg bargainPosition lotterymoney escalate escalateA age male i.faculty i.period if period<13 &deal==1, cluster(group)
			est store a3
		xtreg bargainPosition lotterymoney escalate escalateA if period<13 & deal==1, cluster(group)
			est store a4
		
		esttab a1 a2 a3 a4, b(%6.3f) se pr2  ///
				scalars("ll Log lik.") star(* 0.10 ** 0.05 *** 0.01)
			
		
		
		
		***********
		* Figure B1 
		***********
		use "/Users/ludong/Desktop/Data/data.dta", clear
		
		set more off
		
		sort treatment group period type 
	
		keep if treatment == "base"
		
		local size small
				
		twoway (connect escalate period if type == 1, m(S) msize(medium) mcolor(gs5)) ///
			(connect escalate period if type == 2, m(T) msize(large) mfc(ltblue) mlc(black)) ///
			(scatter escalate period if bombed == 1, m(O) msize(vlarge) mfc(black) mlc(red)) ///
			, by(group, note("") col(6))   ///
				xtitle("Round", size(medsmall)) ytitle("Esclation", size(medsmall))  ///
				xsize(7.5) ysize(8) ///
				xlabel(1(2)13, labsize(medium) ) ylabel(0(2)12, labsize(medium) angle(0)) ///
				legend(lab(1 "Player 1") lab(2 "Player 2") lab(3 "Deactivated") lab(4 "") size(medsmall) ///
				col(3) ring(0) region(lcolor(none) fcolor(none))) scheme(s1mono)

		
		
		***********
		* Figure B2 
		***********
		use "/Users/ludong/Desktop/Data/data.dta", clear
		
		set more off
		
		sort treatment group period type sumInvest  
		
		keep if treatment == "hidden"
		
		br escalate
		
		local size small
				
		twoway (connect escalate period if type == 1, m(S) msize(medium) mcolor(gs5)) ///
			(connect escalate period if type == 2, m(T) msize(large) mfc(ltblue) mlc(black)) ///
			(scatter escalate period if bombed == 1, m(O) msize(vlarge) mfc(black) mlc(red)) ///
			, by(group, note("") col(6))   ///
				xtitle("Round", size(medsmall)) ytitle("Esclation", size(medsmall))  ///
				xsize(7.5) ysize(8) ///
				xlabel(1(2)13, labsize(medium) ) ylabel(0(2)12, labsize(medium) angle(0)) ///
				legend(lab(1 "Player 1") lab(2 "Player 2") lab(3 "Deactivated") lab(4 "") size(medsmall) ///
				col(3) ring(0) region(lcolor(none) fcolor(none))) scheme(s1mono)


		
		***********
		* Figure B3
		***********
		
		use "/Users/ludong/Desktop/Data/data.dta", clear
		
		set more off
		
		sort treatment group period type sumInvest  
		
		keep if treatment == "half"
		
		local size small
				
		twoway (connect escalate period if playerx == 1, m(S) msize(medium) mcolor(gs5)) ///
			(connect escalate period if playerx == 0, m(T) msize(large) mfc(ltblue) mlc(black)) ///
			(scatter escalate period if bombed == 1, m(O) msize(vlarge) mfc(black) mlc(red)) ///
			, by(group, note("") col(6))   ///
				xtitle("Round", size(medsmall)) ytitle("Esclation", size(medsmall))  ///
				xsize(7.5) ysize(8) ///
				xlabel(1(2)13, labsize(medium) ) ylabel(0(2)12, labsize(medium) angle(0)) ///
				legend(lab(1 "Advantaged") lab(2 "Disadvantaged") lab(3 "Deactivated") lab(4 "") size(medsmall) ///
				col(3) ring(0) region(lcolor(none) fcolor(none))) scheme(s1mono)


		
				
		***********
		* Figure B4 
		***********
		
		use "/Users/ludong/Desktop/Data/data.dta", clear
		
		set more off
		
		sort treatment group period type sumInvest  
		
		keep if treatment == "tradeHalf"
		
		local size small
				
		twoway (connect escalate period if playerx == 1, m(S) msize(medium) mcolor(gs5)) ///
			(connect escalate period if playerx == 0, m(T) msize(large) mfc(ltblue) mlc(black)) ///
			(scatter escalate period if bombed == 1, m(O) msize(vlarge) mfc(black) mlc(red)) ///
			, by(group, note("") col(6))   ///
				xtitle("Round", size(medsmall)) ytitle("Esclation", size(medsmall))  ///
				xsize(7.5) ysize(8) ///
				xlabel(1(2)13, labsize(medium) ) ylabel(0(2)12, labsize(medium) angle(0)) ///
				legend(lab(1 "Advantaged") lab(2 "Disadvantaged") lab(3 "Deactivated") lab(4 "") size(medsmall) ///
				col(3) ring(0) region(lcolor(none) fcolor(none))) scheme(s1mono)
				
				
				
		***********
		* Figure B5 
		***********	
		
		use "/Users/ludong/Desktop/Data/dtaFile/bargainTimeSource.dta", clear
		drop if period ==.
		drop var*

		cap drop a*
		gen a1 = time if time > 100
		bys session period pair: egen a2 = min(a1)
		gen a3 = a1 - a2

		bys session period pair owner: egen a4 = max(a3)
		replace a3 = time - a4 if a3 == .
		drop time
		rename a3 time

		drop a*

		sort session period pair owner time
		save "/Users/ludong/Desktop/Data/dtaFile/bargainTimeDerived.dta", replace

		use "/Users/ludong/Desktop/Data/data.dta", clear
		keep if treatment == "tradeHalf" 
		
		keep session Subject type
		rename Subject owner
		
		merge m:m session owner using "/Users/ludong/Desktop/Data/dtaFile/bargainTimeDerived.dta"
		egen pair1 = group(session pair)
		
		
		gen a1 = demand if type == 1
		replace a1 = 7 - demand if type == 2
		br
		
		sort time
		twoway (connect demand time if type == 1 & period == 1, m(S) msize(medium) mcolor(gs5)) ///
			(connect demand time if type == 2 & period == 1, m(T) msize(large) mfc(ltblue) mlc(black)), ///
			by(pair1, note("") col(4)) ///
			xtitle("Time", size(medsmall)) ytitle("Demand in Round 12", size(medsmall))  ///
			xlabel(0(10)60, labsize(medsmall) ) ylabel(0(2)6, labsize(medsmall) angle(0)) ///
				legend(lab(1 "Advantaged Player") lab(2 "Disadvantaged Player") size(medsmall) ///
				col(3) ring(0) region(lcolor(none) fcolor(none))) scheme(s1color) ///
				yline (3.5) xsize(7.5) ysize(8) 
		
		***********
		* Figure B6 
		***********			
		
		twoway (connect demand time if type == 1 & period == 12, m(S) msize(medium) mcolor(gs5)) ///
			(connect demand time if type == 2 & period == 12, m(T) msize(large) mfc(ltblue) mlc(black)), ///
			by(pair1, note("") col(4)) ///
			xtitle("Time", size(medsmall)) ytitle("Demand in Round 12", size(medsmall))  ///
			xlabel(0(10)60, labsize(medsmall) ) ylabel(0(2)6, labsize(medsmall) angle(0)) ///
				legend(lab(1 "Advantaged Player") lab(2 "Disadvantaged Player") size(medsmall) ///
				col(3) ring(0) region(lcolor(none) fcolor(none))) scheme(s1color) ///
				yline (3.5) xsize(7.5) ysize(8) 


				
